%define srcname plaster_pastedeploy
%define pypi_name plaster-pastedeploy

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 4
Summary:        A loader implementing the PasteDeploy syntax to be used by plaster
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/plaster-pastedeploy/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
plaster_pastedeploy is a plaster plugin that provides a plaster.Loader that can
parse ini files according to the standard set by PasteDeploy. It supports the
wsgi plaster protocol, implementing the plaster.protocols.IWSGIProtocol
interface.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
plaster_pastedeploy is a plaster plugin that provides a plaster.Loader that can
parse ini files according to the standard set by PasteDeploy. It supports the
wsgi plaster protocol, implementing the plaster.protocols.IWSGIProtocol
interface.

%prep
%setup -q -n plaster_pastedeploy-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files plaster_pastedeploy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.1-4.mga10
+ Revision: 2240343
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.0.1-3.mga10
+ Revision: 2157346
- rebuild for python3.13

* Sun Feb 04 2024 papoteur <papoteur> 1.0.1-2.mga10
+ Revision: 2037114
- rebuild for python 3.12

* Wed Sep 20 2023 papoteur <papoteur> 1.0.1-1.mga10
+ Revision: 1988641
- new 1.0.1

* Wed Mar 23 2022 umeabot <umeabot> 0.7-7.mga9
+ Revision: 1823454
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.7-6.mga9
+ Revision: 1783347
- rebuild for python-3.10

* Wed Mar 24 2021 guillomovitch <guillomovitch> 0.7-5.mga9
+ Revision: 1708591
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.7-4.mga8
+ Revision: 1608293
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.7-3.mga8
+ Revision: 1534474
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 0.7-2.mga8
+ Revision: 1449131
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.7-1.mga8
+ Revision: 1417029
- imported package python-plaster-pastedeploy

